Account

Get notifications

GET/account/notificationsPrivate

Get notifications for the current user. By default returns unread notifications. Use the read parameter to filter by read status.

Permissions: account:notifications:read

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-09-12T10:28:28.270Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?string

Cursor for pagination

Formatdate-time
read?string

Filter by read status

Response Body

OK

application/json
  1. response
data*array<|||||||||||||||||||>
nextCursor*|

Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.

import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.account.getNotifications({  from: '1970-01-01T00:00:00.000Z',  to: '2026-09-12T10:28:26.634Z',  limit: 500})
{  "data": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "event": "deposit.lightning.success",      "data": {        "id": "string",        "amount": 0      }    }  ],  "nextCursor": "2024-01-15T10:30:00.000Z"}